For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data API

This endpoint allows you to retrieve vehicle data through a RESTful interface. The raw Swagger specification is available at https://github.com/highmobility/open-api-specifications/blob/main/hm-vehicle-data-api-v1.yml

Vehicle Data

get
/v1/vehicle-data/autoapi-13/{vin}
Required scopes
This endpoint requires the following scopes:
  • : all configured vehicle data
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:

OAuth2clientCredentialsRequired
Token URL:
Path parameters
vinstringRequired

Vehicle Identification number

Responses
200

successful operation

application/json
request_idstringOptional

The request tracking id. Provide request_id when facing issue

Example: 2c85d1f9a23623ac5deeb7eecba61a5f
vinstringOptional

The unique Vehicle Identification Number

Example: 1HM62652356323000
brandstring · enumOptional

The vehicle brand

Possible values:
get/v1/vehicle-data/autoapi-13/{vin}
GET /v1/vehicle-data/autoapi-13/{vin} HTTP/1.1
Host: api.high-mobility.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "request_id": "2c85d1f9a23623ac5deeb7eecba61a5f",
  "doors": {
    "inside_locks": [
      {
        "data": {
          "location": "front_left",
          "lock_state": "unlocked"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "inside_locks_state": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "locks": [
      {
        "data": {
          "location": "front_left",
          "lock_state": "unlocked"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "locks_state": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "positions": [
      {
        "data": {
          "location": "front_left",
          "position": "closed"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "chassis_settings": {
    "current_chassis_position": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "current_spring_rates": [
      {
        "data": {
          "axle": "front",
          "spring_rate": {
            "unit": "newton_meters",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "driving_mode": {
      "data": "regular",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "maximum_chassis_position": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "maximum_spring_rates": [
      {
        "data": {
          "axle": "front",
          "spring_rate": {
            "unit": "newton_meters",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "minimum_chassis_position": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "minimum_spring_rates": [
      {
        "data": {
          "axle": "front",
          "spring_rate": {
            "unit": "newton_meters",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "sport_chrono": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "remote_control": {
    "angle": {
      "data": {
        "unit": "degrees",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "control_mode": {
      "data": "unavailable",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "messaging": {
    "handle": {
      "data": "text",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "text": {
      "data": "text",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "windows": {
    "open_percentages": [
      {
        "data": {
          "location": "front_left",
          "open_percentage": 1
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "positions": [
      {
        "data": {
          "location": "front_left",
          "position": "closed"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "seats": {
    "persons_detected": [
      {
        "data": {
          "detected": "not_detected",
          "location": "front_left"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "seatbelts_state": [
      {
        "data": {
          "fastened_state": "not_fastened",
          "location": "front_left"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "charging": {
    "battery_performance_status": {
      "data": "normal",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "plug_lock_status": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_voltage": {
      "data": {
        "unit": "volts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_temperature": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_energy_chargable": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "departure_times": [
      {
        "data": {
          "state": "inactive",
          "time": {
            "hour": 1,
            "minute": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "timers": [
      {
        "data": {
          "date": "2026-01-01T00:00:00.000Z",
          "timer_type": "preferred_start_time"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "preconditioning_scheduled_time": {
      "data": {
        "hour": 1,
        "minute": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_charge_transfer_event": {
      "data": "low_voltage_battery_service_required",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "flap_lock_status": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "estimated_range_target": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_immediate_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_capacity": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charger_voltage": {
      "data": {
        "unit": "volts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_scenario": {
      "data": "off",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "estimated_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charge_limit": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_energy": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "conserving_charge": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "station_status": {
      "data": "not_compatible",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "limit_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "min_charging_current": {
      "data": {
        "unit": "amperes",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "distance_to_complete_charge": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "status": {
      "data": "not_charging",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_rate": {
      "data": {
        "unit": "watts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "starter_battery_state": {
      "data": "red",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "departure_time_display": {
      "data": "no_display",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charger_power": {
      "data": {
        "unit": "watts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_departure_enabled": {
      "data": "disabled",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charge_port_state": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_phases": {
      "data": "no_charging",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_led": {
      "data": "no_colour",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fully_charged_end_times": {
      "data": {
        "time": {
          "hour": 1,
          "minute": 1
        },
        "weekday": "monday"
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "station_displayed_status": {
      "data": "not_plugged_in",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_single_immediate": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_error": {
      "data": "no_change",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_level_at_departure": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_temperature_control_demand": {
      "data": "high_cooling",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "plugged_in": {
      "data": "disconnected",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_current": {
      "data": {
        "unit": "amperes",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "current_type": {
      "data": "alternating_current",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "reduction_times": [
      {
        "data": {
          "start_stop": "start",
          "time": {
            "hour": 1,
            "minute": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "charging_current": {
      "data": {
        "unit": "amperes",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "driving_mode_phev": {
      "data": "not_in_traction",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_time_display": {
      "data": "no_display",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "auxiliary_power": {
      "data": {
        "unit": "watts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "station_power_type": {
      "data": "ac_basic",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_temperature_extremes": {
      "data": {
        "extreme": "highest",
        "temperature": {
          "unit": "kelvin",
          "value": 1
        }
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_departure_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "smart_charging_option": {
      "data": "price_optimized",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "max_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_max_available": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "restriction": {
      "data": {
        "active": "inactive",
        "limit": "max"
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_window_chosen": {
      "data": "not_chosen",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_rate_distance": {
      "data": {
        "distance": {
          "unit": "meters",
          "value": 1
        },
        "time": {
          "unit": "seconds",
          "value": 1
        }
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "time_to_complete_charge": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "plug_type": {
      "data": "type_1",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_cooling_temperature": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "state_of_health": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_end_reason": {
      "data": "unknown",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_complete_lock": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "smart_charging_status": {
      "data": "wallbox_is_active",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "acoustic_limit": {
      "data": "no_action",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_remaining_time": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "current_limit": {
      "data": {
        "unit": "amperes",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "hybrid_operating_mode": {
      "data": "auto_charge_deplete",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charge_mode": {
      "data": "immediate",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_charge_type": {
      "data": "no_charge",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "max_charging_current": {
      "data": {
        "unit": "amperes",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "parking_brake": {
    "status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "vin": "1HM62652356323000",
  "dashboard_lights": {
    "bulb_failures": [
      {
        "data": "turn_signal_left",
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "dashboard_lights": [
      {
        "data": {
          "name": "high_beam",
          "state": "off"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "dynamic_warnings": [
      {
        "data": {
          "category": "text",
          "description": "text",
          "id": "text"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "adas": {
    "alertness_system_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "automated_parking_brake": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "blind_spot_warning_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "blind_spot_warning_system": {
      "data": "off",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "blind_spot_warning_system_coverage": {
      "data": "regular",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "forward_collision_warning_system": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "lane_keep_assist_system": {
      "data": "off",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "lane_keep_assists_states": [
      {
        "data": {
          "location": "left",
          "state": "inactive"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "launch_control": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "park_assists": [
      {
        "data": {
          "alarm": "inactive",
          "location": "front",
          "muted": "not_muted"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "rear_cross_warning_system": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "status": {
      "data": "off",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "charging_session": {
    "business_errors": [
      {
        "data": "text",
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "calculated_energy_charged": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "charging_cost": {
      "data": {
        "calculated_charging_cost": 1,
        "calculated_savings": 1,
        "currency": "text",
        "simulated_immediate_charging_cost": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "displayed_start_state_of_charge": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "displayed_state_of_charge": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "end_time": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "energy_charged": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "location": {
      "data": {
        "formatted_address": "text",
        "municipality": "text",
        "street_address": "text"
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "odometer": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "public_charging_points": [
      {
        "data": {
          "city": "text",
          "postal_code": "text",
          "provider": "text",
          "street": "text"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "start_time": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "time_zone": {
      "data": "text",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "total_charging_duration": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "maintenance": {
    "time_to_exhaust_inspection": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "service_status": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "drive_in_inspection_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "distance_to_next_service": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "inspection_status": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "vehicle_check_status": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "service_time_threshold": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "drive_in_inspection_status": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "vehicle_check_distance_to": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "service_distance_threshold": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "next_oil_service_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "vehicle_check_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "next_inspection_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brakes_service_statuses": [
      {
        "data": {
          "axle": "front",
          "status": "ok"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "brakes_service_due_dates": [
      {
        "data": {
          "axle": "front",
          "due_date": "2026-01-01T00:00:00.000Z"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "time_to_next_service": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "cbs_reports_count": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "teleservice_availability": {
      "data": "pending",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brakes_service_remaining_distances": [
      {
        "data": {
          "axle": "front",
          "distance": {
            "unit": "meters",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "teleservice_battery_call_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "service_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "condition_based_services": [
      {
        "data": {
          "description": "text",
          "due_status": "ok",
          "id": 1,
          "month": 1,
          "text": "text",
          "year": 1
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "time_to_next_oil_service": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "drive_in_inspection_distance_to": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_fluid_remaining_distance": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "automatic_teleservice_call_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "legal_inspection_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_ecall": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_fluid_change_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "next_inspection_distance_to": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "distance_to_next_oil_service": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_fluid_status": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "notifications": {
    "action_items": [
      {
        "data": {
          "id": 1,
          "name": "text"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "activated_action": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "clear": {
      "data": "clear",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "text": {
      "data": "text",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "honk_horn_flash_lights": {
    "flashers": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "diagnostics": {
    "engine_oil_life_remaining": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "distance_since_start": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuel_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "adblue_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_time_to_next_service": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "backup_battery_remaining_time": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_voltage": {
      "data": {
        "unit": "volts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_oil_temperature": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "secondary_energy_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tire_pressures_targets": [
      {
        "data": {
          "location": "front_left",
          "pressure": {
            "unit": "pascals",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "wheel_based_speed": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tire_pressures": [
      {
        "data": {
          "location": "front_left",
          "pressure": {
            "unit": "pascals",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "tire_pressure_statuses": [
      {
        "data": {
          "location": "front_left",
          "status": "normal"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "engine_oil_amount": {
      "data": {
        "unit": "liters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_lining_wear_pre_warning": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuel_level_accuracy": {
      "data": "measured",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "estimated_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_load": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "estimated_primary_powertrain_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_total_idle_operating_time": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_oil_service_status": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "passenger_airbag_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "trouble_codes": [
      {
        "data": {
          "ecu_id": "text",
          "id": "text",
          "occurrences": 1,
          "status": "text",
          "system": "unknown"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "engine_total_fuel_consumption": {
      "data": {
        "unit": "liters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "distance_since_reset": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_torque": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "washer_fluid_level": {
      "data": "low",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "wheel_rpms": [
      {
        "data": {
          "location": "front_left",
          "rpm": {
            "unit": "revolutions_per_minute",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "oem_trouble_code_values": [
      {
        "data": {
          "id": "text",
          "key_value": {
            "key": "text",
            "value": "text"
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "tire_pressures_differences": [
      {
        "data": {
          "location": "front_left",
          "pressure": {
            "unit": "pascals",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "brake_fluid_level": {
      "data": "low",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tire_temperatures": [
      {
        "data": {
          "location": "front_left",
          "temperature": {
            "unit": "kelvin",
            "value": 1
          }
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "confirmed_trouble_codes": [
      {
        "data": {
          "ecu_address": "text",
          "ecu_variant_name": "text",
          "id": "text",
          "status": "text"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "diesel_exhaust_fluid_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuel_volume": {
      "data": {
        "unit": "liters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "check_control_messages": [
      {
        "data": {
          "id": 1,
          "remaining_time": {
            "unit": "seconds",
            "value": 1
          },
          "status": "text",
          "text": "text"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "engine_coolant_temperature": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "estimated_mixed_powertrain_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "low_voltage_battery_charge_level": {
      "data": "ok",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_rpm": {
      "data": {
        "unit": "revolutions_per_minute",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_oil_pressure_level": {
      "data": "low",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_total_operating_time": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_oil_fluid_level": {
      "data": "low",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "battery_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "odometer": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "primary_energy_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "diesel_exhaust_filter_status": [
      {
        "data": {
          "cleaning": "unknown",
          "component": "unknown",
          "status": "unknown"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "engine_oil_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "speed": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "estimated_secondary_powertrain_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "diesel_particulate_filter_soot_level": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "engine_coolant_fluid_level": {
      "data": "low",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "anti_lock_braking": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "offroad": {
    "route_incline": {
      "data": {
        "unit": "degrees",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "wheel_suspension": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "light_conditions": {
    "inside_light": {
      "data": {
        "unit": "lux",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "outside_light": {
      "data": {
        "unit": "lux",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "cruise_control": {
    "acc_target_speed": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "adaptive_cruise_control": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "cruise_control": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "limiter": {
      "data": "not_set",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "target_speed": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "engine": {
    "limp_mode": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_active": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_enabled": {
      "data": "disabled",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_error": {
      "data": "low_fuel",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_remaining_time": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "preconditioning_status": {
      "data": "standby",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "start_stop_enabled": {
      "data": "disabled",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "start_stop_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "status": {
      "data": "off",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "lights": {
    "ambient_light_colour": {
      "data": {
        "blue": 1,
        "green": 1,
        "red": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "emergency_brake_light": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fog_lights": [
      {
        "data": {
          "location": "front",
          "state": "inactive"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "front_exterior_light": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "interior_lights": [
      {
        "data": {
          "location": "front",
          "state": "inactive"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "parking_light_status": {
      "data": "off",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "reading_lamps": [
      {
        "data": {
          "location": "front_left",
          "state": "inactive"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "rear_exterior_light": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "reverse_light": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "switch_position": {
      "data": "automatic",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "ignition": {
    "state": {
      "data": "lock",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "crash": {
    "automatic_ecall": {
      "data": "disabled",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "impact_zone": [
      {
        "data": "pedestrian_protection",
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "incidents": [
      {
        "data": {
          "location": "front",
          "repairs": "unknown",
          "severity": "very_high"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "severity": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "status": {
      "data": "normal",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tipped_state": {
      "data": "tipped_over",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "type": {
      "data": "pedestrian",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "usage": {
    "driving_duration_last_trip": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "driving_modes_activation_periods": [
      {
        "data": {
          "driving_mode": "regular",
          "period": 1
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "braking_evaluation": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electric_duration_last_trip": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electric_consumption_rate_since_start": {
      "data": {
        "unit": "kwh_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electric_distance_since_reset": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_battery_remaining": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "safety_driving_score": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "recuperation_power": {
      "data": {
        "unit": "watts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "acceleration_durations": [
      {
        "data": {
          "direction": "longitudinal",
          "duration": {
            "unit": "seconds",
            "value": 1
          },
          "type": "regular"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "electric_distance_last_trip": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "trip_meters": [
      {
        "data": {
          "distance": {
            "unit": "meters",
            "value": 1
          },
          "id": 1
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "fuel_consumption_rate_since_reset": {
      "data": {
        "unit": "liters_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electric_duration_since_reset": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "average_speed_last_trip": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "current_fuel_consumption": {
      "data": {
        "unit": "liters_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "distance_over_time": {
      "data": {
        "distance": {
          "unit": "meters",
          "value": 1
        },
        "time": {
          "unit": "seconds",
          "value": 1
        }
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "acceleration_evaluation": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "rapid_deceleration_grade": {
      "data": "excellent",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "late_night_grade": {
      "data": "excellent",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electric_consumption_rate_since_reset": {
      "data": {
        "unit": "kwh_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "average_weekly_distance_long_run": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "average_speed": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_electric_portion": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "average_fuel_consumption": {
      "data": {
        "unit": "liters_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "driving_duration_since_reset": {
      "data": {
        "unit": "seconds",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_average_energy_recuperation": {
      "data": {
        "unit": "kwh_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuel_distance_last_trip": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electric_consumption_average": {
      "data": {
        "unit": "kwh_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_fuel_consumption": {
      "data": {
        "unit": "liters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "average_speed_since_reset": {
      "data": {
        "unit": "meters_per_second",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "average_weekly_distance": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_energy_consumption": {
      "data": {
        "unit": "joules",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "eco_score_constant": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "eco_score_free_wheel": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "eco_score_total": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_date": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuel_distance_since_reset": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "driving_modes_energy_consumptions": [
      {
        "data": {
          "consumption": {
            "unit": "joules",
            "value": 1
          },
          "driving_mode": "regular"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "eco_score_bonus_range": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "rapid_acceleration_grade": {
      "data": "excellent",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuel_consumption_rate_last_trip": {
      "data": {
        "unit": "liters_per_100_kilometers",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "driving_style_evaluation": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_trip_battery_regenerated": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "odometer_after_last_trip": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "fueling": {
    "gas_flap_lock": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "gas_flap_position": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "brand": "abarth",
  "climate": {
    "air_conditioner_compressor_power": {
      "data": {
        "unit": "watts",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "defogging_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "defrosting_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "defrosting_temperature_setting": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "driver_temperature_setting": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "humidity": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "hvac_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "hvac_weekday_starting_times": [
      {
        "data": {
          "time": {
            "hour": 1,
            "minute": 1
          },
          "weekday": "monday"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "inside_temperature": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "ionising_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "outside_temperature": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "passenger_temperature_setting": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "rear_temperature_setting": {
      "data": {
        "unit": "kelvin",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "theft_alarm": {
    "event_type": {
      "data": "idle",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "interior_protection_status": {
      "data": "inactive_selected",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "interior_protection_triggered": {
      "data": "not_triggered",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_event": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_event_level": {
      "data": "low",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "last_warning_reason": {
      "data": "no_alarm",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "status": {
      "data": "unarmed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tow_protection_status": {
      "data": "inactive_selected",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tow_protection_triggered": {
      "data": "not_triggered",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "windscreen": {
    "windscreen_damage": {
      "data": "no_impact_detected",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "windscreen_damage_confidence": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "windscreen_damage_detection_time": {
      "data": "2026-01-01T00:00:00.000Z",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "windscreen_damage_zone": {
      "data": {
        "horizontal": 1,
        "vertical": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "windscreen_needs_replacement": {
      "data": "unknown",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "windscreen_zone_matrix": {
      "data": {
        "horizontal": 1,
        "vertical": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "wipers_intensity": {
      "data": "level_0",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "wipers_status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "rooftop_control": {
    "convertible_roof_state": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "dimming": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "position": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "sunroof_rain_event": {
      "data": "no_event",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "sunroof_state": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "sunroof_tilt_state": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "tilt_position": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "race": {
    "accelerations": [
      {
        "data": {
          "acceleration": {
            "unit": "meters_per_second_squared",
            "value": 1
          },
          "direction": "longitudinal"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "accelerator_durations": [
      {
        "data": {
          "duration": {
            "unit": "seconds",
            "value": 1
          },
          "pedal_position_threshold": 1
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "accelerator_pedal_idle_switch": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "accelerator_pedal_kickdown_switch": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_pedal_position": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_pedal_switch": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_pressure": {
      "data": {
        "unit": "pascals",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "brake_torque_vectorings": [
      {
        "data": {
          "axle": "front",
          "state": "inactive"
        },
        "failure": {
          "description": "text",
          "reason": "rate_limit"
        },
        "timestamp": "2026-01-01T00:00:00.000Z"
      }
    ],
    "clutch_pedal_switch": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "drivetrain_state": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "electronic_stability_program": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "gas_pedal_position": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "gear_mode": {
      "data": "manual",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "oversteering": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "rear_suspension_steering": {
      "data": {
        "unit": "degrees",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "selected_gear": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "steering_angle": {
      "data": {
        "unit": "degrees",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "understeering": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "vehicle_moving": {
      "data": "not_moving",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "yaw_rate": {
      "data": {
        "unit": "revolutions_per_minute",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "power_takeoff": {
    "engaged": {
      "data": "not_engaged",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "status": {
      "data": "inactive",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "vehicle_location": {
    "altitude": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "coordinates": {
      "data": {
        "latitude": 1,
        "longitude": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "fuzzy_coordinates": {
      "data": {
        "latitude": 1,
        "longitude": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "gps_signal_strength": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "gps_source": {
      "data": "dead_reckoning",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "heading": {
      "data": {
        "unit": "degrees",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "precision": {
      "data": {
        "unit": "meters",
        "value": 1
      },
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "trunk": {
    "lock": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "lock_safety": {
      "data": "safe",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "position": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "hood": {
    "lock": {
      "data": "unlocked",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "lock_safety": {
      "data": "safe",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    },
    "position": {
      "data": "closed",
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  },
  "weather_conditions": {
    "rain_intensity": {
      "data": 1,
      "failure": {
        "description": "text",
        "reason": "rate_limit"
      },
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  }
}

Last updated

Was this helpful?